Raritan PX2/PX3 JSON-RPC API

CardReaderManager.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2013 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __SMARTCARD_CARD_READER_MANAGER_IDL__
7 #define __SMARTCARD_CARD_READER_MANAGER_IDL__
8
9 #include <CardReader.idl>
10 #include <Event.idl>
11
12 /** Card Reader Manager */
13 module smartcard {
14
15 /** Card Reader Manager Interface */
16 interface CardReaderManager_1_0_2 {
17
18 /**
19 * Card Reader base event
20 */
21 valueobject CardReaderEvent extends idl.Event {
22 CardReader_1_0_2 cardReader; ///< affected card reader
23 };
24
25 /**
26 * Card Reader attached event
27 */
28 valueobject CardReaderAttachedEvent extends CardReaderEvent {};
29
30 /**
31 * Card Reader detached event
32 */
33 valueobject CardReaderDetachedEvent extends CardReaderEvent {};
34
35 /**
36 * Retrieve the list of connected card readers.
37 *
38 * @return Card Readers list
39 */
40 vector<CardReader_1_0_2> getCardReaders();
41
42 /**
43 * Get card reader for a specific id.
44 *
45 * @param readerId card reader id
46 *
47 * @return Card Reader with given id or null
48 */
49 CardReader_1_0_2 getCardReaderById(in string readerId);
50
51 };
52
53 }
54
55 #endif /* __SMARTCARD_CARD_READER_MANAGER_IDL__ */
smartcard::CardReaderManager_1_0_2
Card Reader Manager Interface.
Definition: CardReaderManager.idl:16
smartcard::CardReader_1_0_2
Card Reader Interface.
Definition: CardReader.idl:15
idl
Basic IDL definitions.
Definition: Event.idl:10
smartcard
Card Reader.
Definition: CardReader.idl:12